Page MenuHomePhabricator

Enable Visual Editor in more namespaces on svwiki
Closed, ResolvedPublic0 Story Points

Description

According to this discussion there is consensus to activate Visual Editor on the following namespaces (but no one got around to create a phabricator task until now):

Diskussion (1)
Användardiskussion (3)
Wikipedia (4)
Wikipediadiskussion (5)
Kategoridiskussion (15)
Portal (100)
Portaldiskussion (101)

The possibility to insert signatures (according to T53154) should also be enabled on all these namespaces. That should also be done on the following namespaces (that already have Visual Editor):

Användare (2)
Kategori (14)

Event Timeline

Ainali created this task.Sep 4 2016, 9:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2016, 9:02 AM
Aklapper added a subscriber: Elitre.

(Changing project tag from VisualEditor to Wikimedia-Site-requests as this is about a Wikimedia servers configuration change and not about a change in the code base of the VisualEditor project)

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptSep 4 2016, 9:11 PM
Ainali added a comment.Sep 5 2016, 2:02 PM

@Trizek-WMF : Alright, can we get it in the other namespaces (4 and 100)?

ns-4 is sometimes used for discussions, your Village Pump is on that case and is de facto a discussion page.

Concerning ns-100, I would say it is possible because it has already be done. I don't know how your Portals are created and structured, but at the moment VE is not dealing very well with templates included into templates. It will be fixed soon, but may be a little but strange at the beginning. :)

Ainali added a comment.Sep 5 2016, 4:17 PM

Well, this page on meta is also a de facto discussion page, created by WMF staff in order to hold discussions. Surely a few pages in a namespace will not block the enabling of Visual Editor?

Replicate a bad idea is maybe not a good idea, don't you think? :)
The goal is to have clear working spaces: content pages and discussion pages.

VE is still on Beta on Meta: you have to enable it using the Beta tab. I'm not sure everyone is aware of that fact, neither about discussion pages. That may explain that case.

Ainali added a comment.Sep 5 2016, 5:27 PM

Was the bad idea to enable VE in the main name space on meta or to start a discussion on a non-talk page?

It was a bad idea, indeed. That's something we try to change.

Ainali added a comment.Sep 6 2016, 9:18 AM

I am sorry, your answer is ambiguous to me, let me be clearer:

  1. Was it a bad idea to enable VE in the main name space on meta?
  2. Was it a bad idea to start a discussion on a non-talk page?

My bad.
I think it has been a bad idea to start a discussion on a non-talk page, because that's not a talk page. We shouldn't do that anymore.
To have VE on the main namespace is logical, because that's space is (in theory exclusively) for contents and VE is a tool for contents.

Dereckson added a subscriber: Dereckson.EditedSep 10 2016, 11:17 PM

@Ainali Trizek would like we refocus discussion spaces to be about discussions.

So, before to deploy it, if there are talk pages on Wikipedia: and Portal: namespaces, like the village pump, you're invited to move them in matching talk pages.

I'm preparing the config change, tell me when you wish we deploy it (from Monday to Thursday) when you've moved the pages.

Change 309808 had a related patch set uploaded (by Dereckson):
Configure Visual Editor namespaces on sv.wikipedia

https://gerrit.wikimedia.org/r/309808

Dereckson triaged this task as Normal priority.
Dereckson moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

@Ainali so next step is you discuss with your community the move pages operation. Once moved, we can deploy the change and you'll get VE on these new namespaces.

Change 309808 merged by jenkins-bot:
Configure Visual Editor namespaces on sv.wikipedia

https://gerrit.wikimedia.org/r/309808

Change 314558 had a related patch set uploaded (by Dereckson):
Fix namespace for sv.wikipedia Visual Editor configuration

https://gerrit.wikimedia.org/r/314558

Change 314558 merged by jenkins-bot:
Fix namespace for sv.wikipedia Visual Editor configuration

https://gerrit.wikimedia.org/r/314558

Mentioned in SAL (#wikimedia-operations) [2016-10-06T13:58:59Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Configure Visual Editor namespaces on sv.wikipedia ([[gerrit:309808]] and [[gerrit:314558]], T144688) (duration: 00m 50s)

Dereckson closed this task as Resolved.Oct 6 2016, 3:44 PM
Dereckson moved this task from To deploy to Done on the Wikimedia-Site-requests board.
Dereckson reopened this task as Open.Oct 6 2016, 3:50 PM

@Ainali so next step is you discuss with your community the move pages operation. Once moved, we can deploy the change and you'll get VE on these new namespaces.

Do you well have done that? If not, it's pretty urgent you move the remaining pages to offer a best experience to your users.

This comment was removed by Dereckson.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Tagging this with VisualEditor so we can keep track of such things. Otherwise we can't offer advice/support.

Stryn added a subscriber: Stryn.Jan 5 2017, 5:02 PM
Dereckson closed this task as Resolved.EditedMar 21 2017, 10:57 PM

Tentatively mark this as resolved, as there isn't any extra request or news from the community.

Please reopen the task if some action is still needed.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 21 2017, 10:57 PM
Jdforrester-WMF set the point value for this task to 0.Mar 22 2017, 3:59 PM